Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 632076 - media-libs/gd-2.2.5 : FAIL: gdimagecopyresampled/bug00201
Summary: media-libs/gd-2.2.5 : FAIL: gdimagecopyresampled/bug00201
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: ARM64 Linux
: Normal normal (vote)
Assignee: Codec Project
URL:
Whiteboard:
Keywords: PullRequest, TESTFAILURE
Depends on:
Blocks: 646904
  Show dependency tree
 
Reported: 2017-09-26 17:12 UTC by Toralf Förster
Modified: 2021-01-26 15:43 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.01 KB, text/plain)
2017-09-26 17:12 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,46.04 KB, text/plain)
2017-09-26 17:13 UTC, Toralf Förster
Details
environment (environment,67.93 KB, text/plain)
2017-09-26 17:13 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.50 KB, application/x-bzip)
2017-09-26 17:13 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,13.69 KB, application/x-bzip)
2017-09-26 17:13 UTC, Toralf Förster
Details
media-libs:gd-2.2.5:20170926-052514.log (media-libs:gd-2.2.5:20170926-052514.log,297.36 KB, text/plain)
2017-09-26 17:13 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,31.08 KB, application/x-bzip)
2017-09-26 17:13 UTC, Toralf Förster
Details
tests.tbz2 (tests.tbz2,392.20 KB, application/x-bzip)
2017-09-26 17:13 UTC, Toralf Förster
Details
emerge-info.txt (emerge-info.txt,16.19 KB, text/plain)
2019-03-17 10:00 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,81.01 KB, text/plain)
2019-03-17 10:00 UTC, Toralf Förster
Details
environment (environment,97.77 KB, text/plain)
2019-03-17 10:00 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,13.06 KB, application/x-bzip)
2019-03-17 10:00 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,13.43 KB, application/x-bzip)
2019-03-17 10:00 UTC, Toralf Förster
Details
media-libs:gd-2.2.5-r2:20190317-054406.log (media-libs:gd-2.2.5-r2:20190317-054406.log,246.82 KB, text/plain)
2019-03-17 10:00 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,37.35 KB, application/x-bzip)
2019-03-17 10:00 UTC, Toralf Förster
Details
tests.tbz2 (tests.tbz2,337.42 KB, application/x-bzip)
2019-03-17 10:01 UTC, Toralf Förster
Details
test-suite.log (2.2.5-r2, ppc) (test-suite.log,776 bytes, text/plain)
2019-05-04 18:57 UTC, ernsteiswuerfel
Details
test-suite.log (2.2.5-r2, ia64) (test-suite.log,776 bytes, text/x-log)
2019-11-02 14:19 UTC, Émeric Maschino
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-09-26 17:12:55 UTC
PASS: gdimagecopyresampled/basic_alpha
PASS: gdimagecopyresampled/exact_alpha
FAIL: gdimagecopyresampled/bug00201
PASS: gdimagecopyrotated/bug00020
PASS: gdimagecreate/bug00340
PASS: gdimagecrop/bug00297

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 13.0-desktop-plasma-systemd_abi32+64_20170924-152248

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.5.1 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv media-libs/gd
[ebuild  N    ] media-libs/gd-2.2.5  USE="fontconfig jpeg png tiff truetype zlib -static-libs -webp -xpm" ABI_X86="32 (64) (-x32)"
Comment 1 Toralf Förster gentoo-dev 2017-09-26 17:12:58 UTC
Created attachment 496526 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-09-26 17:13:01 UTC
Created attachment 496528 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-09-26 17:13:04 UTC
Created attachment 496530 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-09-26 17:13:07 UTC
Created attachment 496532 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-09-26 17:13:10 UTC
Created attachment 496534 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-09-26 17:13:13 UTC
Created attachment 496536 [details]
media-libs:gd-2.2.5:20170926-052514.log
Comment 7 Toralf Förster gentoo-dev 2017-09-26 17:13:16 UTC
Created attachment 496538 [details]
temp.tbz2
Comment 8 Toralf Förster gentoo-dev 2017-09-26 17:13:19 UTC
Created attachment 496540 [details]
tests.tbz2
Comment 9 Matt Turner gentoo-dev 2018-04-22 19:22:16 UTC
Fails here as well (noticed while stabilizing on hppa)
Comment 10 Mart Raudsepp gentoo-dev 2018-05-29 11:05:41 UTC
ping
Comment 11 Larry the Git Cow gentoo-dev 2019-03-09 18:18:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4b9c7bfe522a0bfa760db822effe83046024d3e

commit e4b9c7bfe522a0bfa760db822effe83046024d3e
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2019-03-09 18:18:13 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-03-09 18:18:13 +0000

    media-libs/gd: fix build for systems without SSE support
    
    Bug: https://github.com/libgd/libgd/issues/242
    Closes: https://bugs.gentoo.org/603360
    Closes: https://bugs.gentoo.org/587992
    Closes: https://bugs.gentoo.org/632076
    Closes: https://bugs.gentoo.org/608730
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 media-libs/gd/gd-2.2.5-r2.ebuild | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)
Comment 12 Mart Raudsepp gentoo-dev 2019-03-09 20:03:40 UTC
Still fails.
Comment 13 Thomas Deutschmann gentoo-dev Security 2019-03-09 20:05:45 UTC
arm64 only.
Comment 14 Mart Raudsepp gentoo-dev 2019-03-09 20:07:57 UTC
The linked testing README talks of -ffp-contract=off, but you added -ffloat-store instead. What's the story behind that?
Comment 15 Larry the Git Cow gentoo-dev 2019-03-09 20:15:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cfaa0221b7202553c854c0a791894c928b7fc13a

commit cfaa0221b7202553c854c0a791894c928b7fc13a
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2019-03-09 20:15:14 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-03-09 20:15:35 +0000

    media-libs/gd: add workaround for rounding problem on some architectures
    
    Bug: https://github.com/libgd/libgd/issues/278
    Closes: https://bugs.gentoo.org/632076
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 media-libs/gd/gd-2.2.5-r2.ebuild | 5 +++++
 1 file changed, 5 insertions(+)
Comment 16 Toralf Förster gentoo-dev 2019-03-17 10:00:38 UTC
it is still an issue at unstable amd64 tinderbox image 17.1-desktop_test_20190313-190226
Comment 17 Toralf Förster gentoo-dev 2019-03-17 10:00:40 UTC
Created attachment 569418 [details]
emerge-info.txt
Comment 18 Toralf Förster gentoo-dev 2019-03-17 10:00:43 UTC
Created attachment 569420 [details]
emerge-history.txt
Comment 19 Toralf Förster gentoo-dev 2019-03-17 10:00:46 UTC
Created attachment 569422 [details]
environment
Comment 20 Toralf Förster gentoo-dev 2019-03-17 10:00:49 UTC
Created attachment 569424 [details]
etc.portage.tbz2
Comment 21 Toralf Förster gentoo-dev 2019-03-17 10:00:52 UTC
Created attachment 569426 [details]
logs.tbz2
Comment 22 Toralf Förster gentoo-dev 2019-03-17 10:00:55 UTC
Created attachment 569428 [details]
media-libs:gd-2.2.5-r2:20190317-054406.log
Comment 23 Toralf Förster gentoo-dev 2019-03-17 10:00:58 UTC
Created attachment 569430 [details]
temp.tbz2
Comment 24 Toralf Förster gentoo-dev 2019-03-17 10:01:03 UTC
Created attachment 569432 [details]
tests.tbz2
Comment 25 ernsteiswuerfel archtester 2019-05-04 18:57:47 UTC
Created attachment 575166 [details]
test-suite.log (2.2.5-r2, ppc)

Fail on ppc too (2.2.5-r2):

FAIL: gdimagecopyresampled/bug00201
FAIL: gdimagegrayscale/basic
Comment 26 Paolo Pedroni 2019-09-17 07:45:19 UTC
(In reply to ernsteiswuerfel from comment #25)
> Created attachment 575166 [details]
> test-suite.log (2.2.5-r2, ppc)
> 
> Fail on ppc too (2.2.5-r2):
> 
> FAIL: gdimagecopyresampled/bug00201
> FAIL: gdimagegrayscale/basic

Same for me on amd64 (Intel SkyLake processor, it used to work on SandyBridge).
Comment 27 Paolo Pedroni 2019-09-17 07:49:39 UTC
(In reply to Paolo Pedroni from comment #26)
> Same for me on amd64 (Intel SkyLake processor, it used to work on
> SandyBridge).

I forgot to say that it's in the x86_32 section.
Comment 28 Émeric Maschino 2019-11-02 14:19:49 UTC
Created attachment 594846 [details]
test-suite.log (2.2.5-r2, ia64)
Comment 29 Émeric Maschino 2019-11-02 14:20:31 UTC
Fail on ia64 too (2.2.5-r2):

FAIL: gdimagecopyresampled/bug00201
FAIL: gdimagegrayscale/basic
Comment 30 Larry the Git Cow gentoo-dev 2020-05-10 22:41:02 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69c5150b44714482be91bee9004afffef4200a91

commit 69c5150b44714482be91bee9004afffef4200a91
Author:     Sam James (sam_c) <sam@cmpct.info>
AuthorDate: 2020-05-05 18:11:14 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-05-10 22:35:49 +0000

    media-libs/gd: Security bump to 2.3.0
    
    Bug: https://bugs.gentoo.org/719464
    Bug: https://bugs.gentoo.org/632076
    Bug: https://bugs.gentoo.org/608730
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Sam James (sam_c) <sam@cmpct.info>
    Closes: https://github.com/gentoo/gentoo/pull/15657
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 media-libs/gd/Manifest                             |  1 +
 .../gd/files/gd-2.3.0-disable-flaky-tests.patch    | 25 +++++++
 media-libs/gd/files/gd-2.3.0-getlib.patch          | 81 ++++++++++++++++++++++
 media-libs/gd/gd-2.3.0.ebuild                      | 80 +++++++++++++++++++++
 4 files changed, 187 insertions(+)
Comment 31 ernsteiswuerfel archtester 2020-05-11 11:33:37 UTC
gdimagecopyresampled/..., gdimagegrayscale/... tests pass for me with gd-2.3.0 on on ppc.

Filed a new bug (#722448) for tests failing with 2.3.0:
FAIL: gdimagestring16/gdimagestring16
FAIL: gdimagestringup16/gdimagestringup16
Comment 32 Sam James archtester gentoo-dev Security 2020-05-15 11:54:28 UTC
Both this test and bug 608730 are disabled in 2.3.0 until it is fixed upstream:

https://github.com/libgd/libgd/issues/480
https://github.com/libgd/libgd/issues/594